Skip to Content
goldflow.cc Docs
ImagesMidjourney

Midjourney 查询任务

GET
/mj/task/{task_id}/fetch

根据 Midjourney 任务 ID 查询单个任务详情,包括状态、进度、图片 URL、视频 URL、按钮和扩展属性。

Authorization

bearerAuth
headerAuthorizationBearer <API key>

使用 Authorization Bearer API Key 进行鉴权。

Path Parameters

task_id*string

Midjourney 任务 ID。

Response Body

Midjourney 任务详情。

application/json
  1. response

Midjourney 任务详情。

id?string

Midjourney 任务 ID。

action?string

任务动作,例如 IMAGINE、UPSCALE、VARIATION、VIDEO、MODAL 或 SWAP_FACE。

customId?string

Midjourney 动作 ID,常用于后续放大、变幻或局部重绘动作。

botType?string

Midjourney 机器人类型。

prompt?string

原始提示词。

promptEn?string

上游翻译或处理后的英文提示词。

description?string

任务描述或错误说明。

state?string

客户端自定义状态。

submitTime?integer

提交时间,毫秒时间戳。

startTime?integer

开始时间,毫秒时间戳。

finishTime?integer

完成时间,毫秒时间戳。

imageUrl?string

图片结果 URL。

Formaturi
videoUrl?string

视频结果 URL。

Formaturi
videoUrls?array<>

多个视频结果 URL。

status?string

任务状态,例如 NOT_START、SUBMITTED、IN_PROGRESS、SUCCESS、FAILURE。

progress?string

任务进度。

failReason?string

失败原因。

buttons?array<>

后续可用动作按钮列表,按钮中的 customId 可用于 /mj/submit/action。

maskBase64?string

局部重绘遮罩图的 Base64 Data URL。

properties?

任务扩展属性。

[key: string]?any
Example Request
curl -X GET 'https://goldflow.cc/mj/task/1751700106922083/fetch'
Example Response
{  "id": "string",  "action": "string",  "customId": "string",  "botType": "string",  "prompt": "string",  "promptEn": "string",  "description": "string",  "state": "string",  "submitTime": 0,  "startTime": 0,  "finishTime": 0,  "imageUrl": "http://example.com",  "videoUrl": "http://example.com",  "videoUrls": [    {      "url": "http://example.com"    }  ],  "status": "string",  "progress": "string",  "failReason": "string",  "buttons": [    {}  ],  "maskBase64": "string",  "properties": {}}